Cyan Web API - Version 1


GET api/applicationVersions

            Gets all ApplicationVersions.
            

Response Information

Response body formats

application/json, text/json

Sample:
[
  {
    "applicationVersionId": "bf1a737d-bbbf-42f4-b3d0-6a696988eaed",
    "applicationId": "4daadced-9132-4251-8de6-fce807fd311c",
    "name": "sample string 3",
    "description": "sample string 4",
    "version": "sample string 5",
    "packageUrl": "sample string 6",
    "applicationName": "sample string 7",
    "createdDateUtc": "2026-03-10T01:43:48.2096471+00:00",
    "updatedDateUtc": "2026-03-10T01:43:48.2096471+00:00"
  },
  {
    "applicationVersionId": "bf1a737d-bbbf-42f4-b3d0-6a696988eaed",
    "applicationId": "4daadced-9132-4251-8de6-fce807fd311c",
    "name": "sample string 3",
    "description": "sample string 4",
    "version": "sample string 5",
    "packageUrl": "sample string 6",
    "applicationName": "sample string 7",
    "createdDateUtc": "2026-03-10T01:43:48.2096471+00:00",
    "updatedDateUtc": "2026-03-10T01:43:48.2096471+00:00"
  },
  {
    "applicationVersionId": "bf1a737d-bbbf-42f4-b3d0-6a696988eaed",
    "applicationId": "4daadced-9132-4251-8de6-fce807fd311c",
    "name": "sample string 3",
    "description": "sample string 4",
    "version": "sample string 5",
    "packageUrl": "sample string 6",
    "applicationName": "sample string 7",
    "createdDateUtc": "2026-03-10T01:43:48.2096471+00:00",
    "updatedDateUtc": "2026-03-10T01:43:48.2096471+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfApplicationVersionRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <ApplicationVersionRepresentation>
    <CreatedDateUtc>2026-03-10T01:43:48.2096471+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-03-10T01:43:48.2096471+00:00</UpdatedDateUtc>
    <ApplicationId>4daadced-9132-4251-8de6-fce807fd311c</ApplicationId>
    <ApplicationName>sample string 7</ApplicationName>
    <ApplicationVersionId>bf1a737d-bbbf-42f4-b3d0-6a696988eaed</ApplicationVersionId>
    <Description>sample string 4</Description>
    <Name>sample string 3</Name>
    <PackageUrl>sample string 6</PackageUrl>
    <Version>sample string 5</Version>
  </ApplicationVersionRepresentation>
  <ApplicationVersionRepresentation>
    <CreatedDateUtc>2026-03-10T01:43:48.2096471+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-03-10T01:43:48.2096471+00:00</UpdatedDateUtc>
    <ApplicationId>4daadced-9132-4251-8de6-fce807fd311c</ApplicationId>
    <ApplicationName>sample string 7</ApplicationName>
    <ApplicationVersionId>bf1a737d-bbbf-42f4-b3d0-6a696988eaed</ApplicationVersionId>
    <Description>sample string 4</Description>
    <Name>sample string 3</Name>
    <PackageUrl>sample string 6</PackageUrl>
    <Version>sample string 5</Version>
  </ApplicationVersionRepresentation>
  <ApplicationVersionRepresentation>
    <CreatedDateUtc>2026-03-10T01:43:48.2096471+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-03-10T01:43:48.2096471+00:00</UpdatedDateUtc>
    <ApplicationId>4daadced-9132-4251-8de6-fce807fd311c</ApplicationId>
    <ApplicationName>sample string 7</ApplicationName>
    <ApplicationVersionId>bf1a737d-bbbf-42f4-b3d0-6a696988eaed</ApplicationVersionId>
    <Description>sample string 4</Description>
    <Name>sample string 3</Name>
    <PackageUrl>sample string 6</PackageUrl>
    <Version>sample string 5</Version>
  </ApplicationVersionRepresentation>
</ArrayOfApplicationVersionRepresentation>